<?php

/**
 * PwPageTemplate represents a page template
 *
 * @author Jonathan
 */

class PwPageTemplate extends BasicReplaceable {
    protected $id;
    protected $type;
    protected $title;

    /**
     * Constructor of PwPageTemplate
     * @param string $id
     * @param string $title
     * @param string $type
     * @param type $repwaList
     */
    public function __construct($id, $type, $title, $repwaList = NULL) {
        parent::__construct($repwaList);
        $this->id = $id;
        $this->type = $type;
        $this->title = $title;
    }   // end PwPageTemplate constructor
    
    /* -----------------------------------------------------------getters-------------------------------------------------------------------*/
    public function get_id () {
        return $this->id;
    }
    
    public function get_title () {
        return $this->title;
    }

    public function getType () {
        return $this->type;
    }

    public function get_type() {
        return $this->getType();
    }
/* ---------------------------------------end getters---------------------------------------------------------------------------------*/
/* ---------------------------------------setters----------------------------------------------------------------------------------------*/
    public function set_id ($value){
        $this->id = $value;
    }
    
    public function set_title ($value) {
        $this->title = $value;
    }
    
    public function setType ($value) {
        $this->type = $value;
    }

    /* ---------------------------------------end setters------------------------------------------------------------------------------*/
}

?>
