<?php

/**
 * PwTag implements a power widget tag object including:
 * (1) basic tag attributes
 * (3) repwas
 *
 * @author Jonathan
 */
class PwTag extends BasicReplaceable {
    
    protected $wpTag;


/* -----------------------------------------------------------Constructors-------------------------------------------------------------------*/
    
    public function __construct( $wpTag, $repwaList = NULL) {
        parent::__construct($repwaList);
        $this->wpTag = $wpTag;
    }   // end Constructor of PwPost
    
    
/* -----------------------------------------------------------End Constructors---------------------------------------------------*/
    
/* -----------------------------------------------------------getters-------------------------------------------------------------------*/
    public function get_id () {
        return $this->getWpTag()->term_id;
    }
    
    public function get_title () {
        return $this->getWpTag()->name;
    }

    public function getWpTag () {
        return $this->wpTag;
    }

    public function get_type() {
        return "tag";
    }
/* ---------------------------------------end getters---------------------------------------------------------------------------------*/
/* ---------------------------------------setters----------------------------------------------------------------------------------------*/
    public function set_id ($value){
        $this->getWpTag()->term_id = $value;
    }
    
    public function set_title ($value) {
        $this->getWpTag()->name = $value;
    }
    
    public function setWpTag ($value) {
        $this->wpTag = $value;
    }

    /* ---------------------------------------end setters------------------------------------------------------------------------------*/
}

?>
