<?php
        $cssFileLocation = pw_was_url . '/css/was_style.css';
        $jsFileLocation = pw_was_url . '/js/was.js';

        // initialize edited custwas list
        $custwas = new CustwaList();
        
        // if we're on single custwa edit mode - put get the single custwa and put it in the list
        if (isset($_GET['custwaName'])) {
            $custwaName = $_GET['custwaName'];
            $custwa = $GLOBALS['mainPwObj']->get_je_sb_wa_manager()->get_custwas()->getById($custwaName);
            $custwas->add($custwa);
        }
        
        // else
        else {
            
        }
?>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="<?php echo $cssFileLocation; ?>">
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
        <script type="text/javascript" src="<?php echo $jsFileLocation; ?>"></script>
    </head>
    <body>
        <div id="was-dir-url" style="display:none"><?php echo pw_was_url ;?></div>
        <h2><?php _e('Edit Widget Area', 'PWL')?> </h2>
        <div id="was-add-window-notifications"></div>
         <div id="was-plugins-url"></div>
            <form action="<?php $_SERVER['PHP_SELF'];?>" method="post" id="editWaFormId">
                <input name = "form_type" type="hidden" value="edit_wa_form_type"></input>
                <input name ="oldCustwaName" type="hidden" value ="<?php echo $custwaName ?>"></input>
                <!-- EDIT TABLE -->
                <table style="width: 90%; margin-top: 10px;">
                    <tr>
                        <td style="width: 15%">
                            <label for="NewWaNameId"><?php _e('Name', 'PWL')?></label> 
                        </td>
                        <td style="width: 85%">
                                <input type="text" id="NewWaNameId"  name="NewWaNameName" value="<?php echo $custwa->get_name();    ?>" class="regular-input-text" />
                        </td>
                    <tr>
                        <td style="width: 15%">
                            <label for="NewWaDescriptionId"><?php _e('Description', 'PWL')?></label>
                        </td>
                        <td  style="width: 85%">
                            <input type="text" id="NewWaDescriptionId"  name="NewWaDescriptionName" value = "<?php print htmlentities($custwa->get_description(), ENT_QUOTES); ?>" class="regular-input-text" />
                        </td>
                    </tr>

                </table>

                <input id="addWaSaveId" name="addWaSaveName" class="button-primary" type="submit" value="<?php _e('Save', 'PWL'); ?>" style="margin-top: 20px;">
            </form>

    </body>
</html>