/* add new custwa: update table, notify custwa was added and close thickbox */
jQuery(document).ready(function( $ ) {
    $('#addNewWaFormId').submit ( function() {
        var formData = $(this).serialize();
        var admin_url = $("#admin-url",parent.document).html();
        $.post(admin_url +  "admin-ajax.php?action=add_new_custwa", formData, processData);
        function processData(data) {
            if (data != "") {
                $("#tablewrapper",parent.document).html(data);
                $("#was-notifications",parent.document).addClass("updated");
                $("#was-notifications",parent.document).html("Added New Custom Widget Area");
                $("#was-notifications",parent.document).show();
                window.parent.tb_remove();
            }
            else {
                var errorImgLocation = $('#was-dir-url').html() + "/images/error.png";
                $("#was-add-window-notifications").addClass("error");
                $("#was-add-window-notifications").html(
                    "<img src = " + errorImgLocation + " style='vertical-align: middle; height: 49px; width: 49px' />\n\
                        <span style='vertical-align: middle; margin-left: 15px;'>\n\
                            Custwa name should be unique and begin with a letter followed by letters, numbers or regular spaces\n\
                        </span>");
                $("#was-add-window-notifications").show();
            }
        }
        return false;
    });    // end click
}); // end ready

/* edit custwa: update table, notify custwa was edited and close thickbox */
jQuery(document).ready(function( $ ) {
    $('#editWaFormId').submit ( function() {

        var formData = $(this).serialize();
        var admin_url = $("#admin-url",parent.document).html();
        $.post(admin_url +  "admin-ajax.php?action=edit_custwa", formData, processData);
        function processData(data) {
            if (data != "") {
                $("#tablewrapper",parent.document).html(data);
                $("#was-notifications",parent.document).addClass("updated");
                $("#was-notifications",parent.document).html("Edited Custom Widget Area");
                $("#was-notifications",parent.document).show();
                window.parent.tb_remove();
            }
            else {
                var errorImgLocation = $('#was-dir-url').html() + "/images/error.png";
                $("#was-add-window-notifications").addClass("error");
                $("#was-add-window-notifications").html(
                    "<img src = " + errorImgLocation + " style='vertical-align: middle; height: 49px; width: 49px' />\n\
                        <span style='vertical-align: middle; margin-left: 15px;'>\n\
                            Custwa name should be unique and begin with a letter followed by letters, numbers or regular spaces\n\
                        </span>");
                $("#was-add-window-notifications").show();
            }
        }

        return false;
    });    // end click
}); // end ready



/* delete custwa when user clicks one of specific custwa's delete buttons */
jQuery(document).ready(function( $ ) {
    $(document).on("click", '[id^="delete_pw_je_sb_"]', function () {
        // get original custwa name
        var custwaName = $(this).attr("id");
        custwaName = custwaName.substr(16, custwaName.length-18);   // drop beginning and end of id to get custwa name
        custwaName = custwaName.split('_').join(' ');  // replace '_' with ' ' to get custwa original name
        
        // confirm deletion
        var isDeleteCustwa = confirm ("Are you sure you want to delete " + custwaName);
        var custwaData = {
            'custwa': custwaName
        }
        
        // confirmed  => delete custwa
        if (isDeleteCustwa == true) {
            var admin_url = $("#admin-url").html();
            $.post(admin_url +  "admin-ajax.php?action=delete_custwa", custwaData, updateTableAfterDeletion);
        }
        
        function updateTableAfterDeletion(newTable) {
            $("#tablewrapper").html(newTable);
        }

        
    }); //  end on click
}); // end ready

/* edit custwa when user clicks one of specific custwa's edit buttons */



