<?php

/**
 * This list type assumes its element has a unique id member which is defined like this: $unique_id
 *
 * @author Jonathan
 */
class PwListOfUnique extends PwList {
    /**
     * Constructor of PwListOfUnique
     */
    public function __construct() {
        parent::__construct();
    }
    
    /**
     * getselement by widget area id or NULL if no element is found
     * @param string $id
     *      element id
     * @return Object
     *      element object with id $id or NULL if no element is found
     */
    function getById ($id) {
        foreach ($this->getList() as $thisElem) {
            if ( $thisElem->get_id() == $id ) {
                return $thisElem;
            }
        }
        return NULL;
    }
}

?>
