<?php

/**
 * Repwa represents  a replacement of widget areas
 *
 * @author Jonathan
 */
class Repwa {
    private $repwaId;    // repwa id
    private $defwa; // the default widget area to be replaced with the custom widget area
    private $custwa;    // the custom widget area that replaces the default widget area
    private $repwaTheme; // repwa theme
    private $repwaElemId;    // repwa element id
    private $repwaElemType; // repwa element type (page, post, category, tag, page_template)
    
    /**
     * Constructor of Repwa
     * @param Defwa $defwa
     * @param Custwa $custwa
     */
    public function __construct ($repwaId, $defwa, $custwa, $repwaTheme, $repwaElemId, $repwaElemType) {
        $this->repwaId = $repwaId;
        $this->defwa = $defwa;
        $this->custwa = $custwa;
        $this->repwaTheme = $repwaTheme;
        $this->repwaElemId = $repwaElemId;
        $this->repwaElemType = $repwaElemType;
    }   // end Constructor of Repwa
    
//-------------------------------------------------getters-------------------------------------------------

    function get_repwaId(){
        return $this->repwaId;
    }
    
    function get_defwa() {
        return $this->defwa;
    }

    function get_custwa(){
        return $this->custwa;
    }
    
    function get_repwaTheme(){
        return $this->repwaTheme;
    }
    
    function get_repwaElemId(){
        return $this->repwaElemId;
    }
    
    function get_repwaElemType(){
        return $this->repwaElemType;
    }
    
//-------------------------------------------------end getters-------------------------------------------------    
//-------------------------------------------------setters-------------------------------------------------  

    function set_repwaId($value) {
        $this->repwaId = $value;
    }
    
    function set_defwa($value) {
        $this->defwa = $value;
    }

    function set_custwa($value) {
        $this->custwa = $value;
    }
    
    function set_repwaTheme($value) {
        $this->repwaTheme = $value;
    }
    
    function set_repwaElemId($value) {
        $this->repwaElemId = $value;
    }
    
    function set_repwaElemType($value) {
        $this->repwaElemType = $value;
    }
    
//-------------------------------------------------end setters-------------------------------------
    
}   // end class Repwa

?>
