<?php



/**
 * Replaceable is a class implementing replaceable interface
 *
 * @author Jonathan
 */
abstract class BasicReplaceable implements ReplaceableInterface{
    protected $repwaList; // post repwas list
    
    /**
     * Construcor of Replaceable.
     * Creates a replaceable with an empty repwas list
     */
    public function __construct($repwaList = NULL) {        
        $repwaList ? $this->repwaList = $repwaList :  $this->repwaList = new RepwaList();
    }
    
/* ---------------------------------------getters---------------------------------------------------------------------------------------*/

    public function get_repwaList (){
        return $this->repwaList;
    }

/* ---------------------------------------end getters----------------------------------------------------------------------------------*/

/* ---------------------------------------setters----------------------------------------------------------------------------------------*/
    /*
    abstract public function set_id ($value);
    
    abstract public function set_title ($value);
    */
    public function set_repwaList ($value) {
        $this->repwaList = $value;
    }
    
/* ---------------------------------------end setters----------------------------------------------------------------------------------*/

}   // end class BasicReplaceable

?>
