<?php

/**
 * PwTagList is a list of Replaceable objects
 *
 * @author Jonathan
 */
class ReplaceableList extends PwListOfUnique {
    
    /**
     * Constructor of ReplaceableList
     * @param none
     * @return void
     */
    public function __construct() {
        parent::__construct();
    }   // end of constructor
    
    /**
     * getselement by widget area id or NULL if no element is found
     * @param string $id
     *      element id
     * @return Object
     *      element object with id $id or NULL if no element is found
     */
    public function getCloseTitleFilteredList ($titleToLookFor) {        
        if ($titleToLookFor === '')   { return $this;  }

        $filteredReplaceableList = $this;
        $filteredReplaceablesArr = $this->getList();

        foreach ( $filteredReplaceablesArr as $filteredReplaceablesArrIndex => $replaceable ) {
            if (stripos ($replaceable->get_title(), $titleToLookFor) === FALSE) {
                unset($filteredReplaceablesArr[$filteredReplaceablesArrIndex]);
            }
        }

        $filteredReplaceableList->setList($filteredReplaceablesArr);
        return $filteredReplaceableList;
    }   // end Constructor getByCloseTitle
}

?>
