<?php

/**
 * PwCategory implements a power widget category object including:
 * (1) basic category attributes
 * (3) repwas
 *
 * @author Jonathan
 */
class PwCategory extends BasicReplaceable {
    
    protected $wpCategory;


/* -----------------------------------------------------------Constructors-------------------------------------------------------------------*/
    
    public function __construct( $wpCategory, $repwaList = NULL) {
        parent::__construct($repwaList);
        $this->wpCategory = $wpCategory;
    }   // end Constructor of PwPost
    
    
/* -----------------------------------------------------------End Constructors---------------------------------------------------*/
    
/* -----------------------------------------------------------getters-------------------------------------------------------------------*/
    public function get_id () {
        return $this->getWpCategory()->cat_ID;
    }
    
    public function get_title () {
        return $this->getWpCategory()->name;
    }

    public function getWpCategory () {
        return $this->wpCategory;
    }

    public function get_type() {
        return "category";
    }
/* ---------------------------------------end getters---------------------------------------------------------------------------------*/
/* ---------------------------------------setters----------------------------------------------------------------------------------------*/
    public function set_id ($value){
        $this->getWpCategory()->cat_ID = $value;
    }
    
    public function set_title ($value) {
        $this->getWpCategory()->name = $value;
    }
    
    public function setWpCategory ($value) {
        $this->wpCategory = $value;
    }

    /* ---------------------------------------end setters------------------------------------------------------------------------------*/
}

?>
