<?php

/**
 * A power Widgets post, containing a Wp_Post member and implements ReplaceableInterface
 *
 * @author Jonathan
 */
class PwPost extends BasicReplaceable {
    protected $wpPost;
    
/* -----------------------------------------------------------Constructors-------------------------------------------------------------------*/
    
    public function __construct($wpPost, $repwaList = NULL) {
        parent::__construct($repwaList);
        $this->wpPost = $wpPost;
    }   // end Constructor of PwPost
    
    
/* -----------------------------------------------------------End Constructors---------------------------------------------------*/
/* -----------------------------------------------------------getters-------------------------------------------------------------------*/
    public function get_id () {
        return $this->getWpPost()->ID;
    }
    
    public function get_title () {
        return $this->getWpPost()->post_title;
    }

    /**
     * gets the wordpress post member
     * @param none
     * @return WP_Post
     *      the WP_Post object containing all info regarding the post
     */
    public function getWpPost () {
        return $this->wpPost;
    }
    
    public function get_type() {
        return $this->getWpPost()->post_type;
    }

/* ---------------------------------------end getters---------------------------------------------------------------------------------*/
/* ---------------------------------------setters----------------------------------------------------------------------------------------*/
    public function set_id ($value){
        $this->wpPost->ID = $value;
    }
    
    public function set_title ($value) {
        $this->wpPost->post_title = $value;
    }
    
    public function setWpPost ($value) {
        $this->wpPost = $value;
    }

    /* ---------------------------------------end setters------------------------------------------------------------------------------*/

}

?>
