<?php

delete_transient( 'nlw_teaser_page_redirect' );
?>
<link href='http://fonts.googleapis.com/css?family=Exo' rel='stylesheet' type='text/css'>
<link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet">
<style>

#sp-wrapper{
	font-size: 13px;
	/*font-family: 'Exo', sans-serif;*/
	max-width: 1080px;
	min-height: 600px;
	margin: 30px auto;
	border: 1px solid #D9D9D9;
	border-radius: 5px;
	/* IE10 Consumer Preview */ 
	background-image: -ms-linear-gradient(top, #D9D9D9 0%, #FFFFFF 250px, #D9D9D9 300%);
	
	/* Mozilla Firefox */ 
	background-image: -moz-linear-gradient(top, #D9D9D9 0%, #FFFFFF 250px, #D9D9D9 300%);
	
	/* Opera */ 
	background-image: -o-linear-gradient(top, #D9D9D9 0%, #FFFFFF 250px, #D9D9D9 300%);
	
	/* Webkit (Safari/Chrome 10) */ 
	background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #D9D9D9), color-stop(0.2, #FFFFFF), color-stop(3, #D9D9D9));
	
	/* Webkit (Chrome 11+) */ 
	background-image: -webkit-linear-gradient(top, #D9D9D9 0%, #FFFFFF 250px, #D9D9D9 300%);
	
	/* W3C Markup, IE10 Release Preview */ 
	background-image: linear-gradient(to bottom, #D9D9D9 0%, #FFFFFF 250px, #D9D9D9 300%);
	
	position: relative;
}
#sp-wrapper h3{
	font-family: 'Exo', sans-serif;
	line-height: 14px;
	font-size: 17px;
	color: #D98A1C;
}
#logo{
	text-align: center;
	border-bottom: 1px dashed #3FA9F5;
	margin: 0 15px;	
}
#teaser-content, .sp-footer{
	padding: 20px 10px;
}
.sp-footer{
	border-top: 1px dashed #3FA9F5;
	margin: 0 15px;
}
#main-features li{
    float:left;
    width:43%;
    padding-right:34px;
    height:114px;
    margin-left:8px
}
#main-features li.third-col{
    padding-right: 0;
}
#main-features li i{
    padding:0 5px;
    font-size:2em;
    line-height:.75em;
    color:#d98a1c
}

.key-features{
	margin: 57px 0;
}
.key-features > .feature{
	float: left;
	width: 32%;
	margin-right: 10px;
}
.key-features > #feature-3{
	margin-right: 0;
}
.key-features > .feature i{
	vertical-align: top;
	color: #3FA9F5;
}
.key-features > .feature h3{
	margin-top: 3px;
}
.feature-content{
	display: inline-block;
	width: 75%;
	margin-left: 8px; 
}
#superplugin{
	text-align: center;
}
#superplugin img{
	width: 250px;
	height: auto;
}
#lwp-price{
	line-height: 25px;
	font-size: 21px;
	text-align: center;
	padding: 5px;
	position: absolute;
	right: 100px;
	top: 30px;
	width: 100px;
	border: 4px solid #3FA9F5;
	border-radius: 50%;
	transform: rotate(18deg) ;
	-webkit-transform: rotate(18deg) ;
	-moz-transform: rotate(18deg) ;
	-o-transform: rotate(18deg) ;
	-ms-transform: rotate(18deg) ;
}
#lwp-price h3{
	line-height: 27px;
	font-size: 23px;
}
.get-it-now{
	text-align: center;
}
.get-it-now a{
	background: #3FA9F5;
	background-image: -webkit-gradient(linear,left top,left bottom,from(#3FA9F5),to(#f4f4f4));
	background-image: -webkit-linear-gradient(top,#3FA9F5,#f4f4f4);
	background-image: -moz-linear-gradient(top,#3FA9F5,#f4f4f4);
	background-image: -o-linear-gradient(top,#3FA9F5,#f4f4f4);
	background-image: linear-gradient(to bottom,#3FA9F5,#f4f4f4);
	border-color: #bbb;
	color: #333;
	text-shadow: 0 1px 0 #fff;
	font-family: 'Exo', sans-serif;
	line-height: 18px;
	font-size: 20px;
	padding: 10px;
	display: inline-block;
	border: 1px solid #D9D9D9;
	text-decoration: none;
	border-radius: 4px;
}

#sp-wrapper{
    font-size:13px;
    max-width:1080px;
    min-height:600px;
    margin:30px auto;
    border:1px solid #d9d9d9;
    border-radius:5px;
    background-image:-ms-linear-gradient(top,#d9d9d9 0,#fff 250px,#d9d9d9 300%);
    background-image:-moz-linear-gradient(top,#d9d9d9 0,#fff 250px,#d9d9d9 300%);
    background-image:-o-linear-gradient(top,#d9d9d9 0,#fff 250px,#d9d9d9 300%);
    background-image:-webkit-gradient(linear,left top,left bottom,color-stop(0,#d9d9d9),color-stop(0.2,#fff),color-stop(3,#d9d9d9));
    background-image:-webkit-linear-gradient(top,#d9d9d9 0,#fff 250px,#d9d9d9 300%);
    background-image:linear-gradient(to bottom,#d9d9d9 0,#fff 250px,#d9d9d9 300%);
    position:relative
}
#sp-wrapper h3{
    font-family:'Exo',sans-serif;
    line-height:14px;
    font-size:17px;
    color:#d98a1c
}
#logo{
    text-align:center;
    border-bottom:1px dashed #3fa9f5;margin:0 15px
}
#teaser-content,.sp-footer{
    padding:20px 10px
}
.sp-footer{
    border-top:1px dashed #3fa9f5;margin:0 15px
}
.key-features{
    margin:57px 0
}
.key-features>.feature{
    float:left;
    width:32%;
    margin-right:10px
}
.key-features>#feature-3{
    margin-right:0
}
.key-features>.feature i{
    vertical-align:top;
    color:#3fa9f5
}
.key-features>.feature h3{
    margin-top:3px
}
#superplugin{
    text-align:center
}
#superplugin img{
    width:250px;height:auto
}
#lwp-price{
    line-height:25px;
    font-size:21px;
    text-align:center;
    padding:5px;
    position:absolute;
    right:100px;
    top:30px;
    width:100px;
    border:4px solid #3fa9f5;
    border-radius:50%;
    transform:rotate(18deg);
    -webkit-transform:rotate(18deg);
    -moz-transform:rotate(18deg);
    -o-transform:rotate(18deg);
    -ms-transform:rotate(18deg)
}
#lwp-price h3{
    line-height:27px;
    font-size:23px
}
.get-it-now{
    text-align:center
}
.get-it-now a{
    background:#3fa9f5;
    background-image:-webkit-gradient(linear,left top,left bottom,from(#3fa9f5),to(#f4f4f4));
    background-image:-webkit-linear-gradient(top,#3fa9f5,#f4f4f4);
    background-image:-moz-linear-gradient(top,#3fa9f5,#f4f4f4);
    background-image:-o-linear-gradient(top,#3fa9f5,#f4f4f4);
    background-image:linear-gradient(to bottom,#3fa9f5,#f4f4f4);
    border-color:#bbb;
    color:#333;
    text-shadow:0 1px 0 #fff;
    font-family:'Exo',sans-serif;
    line-height:18px;
    font-size:20px;
    padding:10px;
    display:inline-block;
    border:1px solid #d9d9d9;
    text-decoration:none;
    border-radius:4px
}
.expect-for-more {
    margin-top: 20px;
}

.pw-key-features-wrapper{
    
}
.pw-key-feature{
}
.pw-key-feature-content, .pw-key-feature-img{
    width:49%;
    margin-left: 0px;
    margin-right: 0;
    display: inline-block;
}

</style>

<div id="sp-wrapper">

<div id="logo"><a href="http://superplug.in/custom-sidebars-wordpress-power-widgets/" title="Login Widget Pro" target="_blank">
<img class="" alt="login widget pro for wordpress" src="<?php echo pw_images_url . '/BannerPW-forGettingStarted.png'; ?>" ></a>
</div>
<div id="lwp-price"><h3>Starts At 29$</h3></div>

<div id="teaser-content">
<div id="sp-intro">
<h3>Thanks for choosing Power Widgets Lite V 1.1.2</h3>
<p>This free version includes the essential features for effectively contorlling widget areas on your WordPress site, such as registering widget areas, manage replacements from one single location, setting replacements patterns etc. <br>
We do our best to review the support forum on WordPress.org and help our users with technical issues. We'll appreciate your rating and review.<br>
control each widget area on your theme, create custom widget areas for specific pages, posts or categories, manage them from one single location, as well as setting replacements patterns, import replacements and widgets when switching themes and more, you may want to have a look at the premium version of this plugin, introduced below.</p>
<p>Thank you for your support and for using Power Widgets Lite.<br>
The SuperPlugin Team</p>
<h3>Upgrade To The Pro Version</h3>
<p>We are thrilled to introduce you with the latest and greatest plugin for saving time and effort by managing your custom sidebars efficiently<br>
If you operate a website, you should know that creating and managing a website’s custom sidebars can be tedious work. <br>
creating custom sidebars in an efficeint fashion, is an important step in saving time, effort and eventually money.
Power widgets pro offers you features that will help you making that first step as well as having all managing custom sidebars work easy, efficient and fun and getting control over what so far was a complicated task.
<br>You owe it to yourself!
</p>
</div>

<div class="get-it-now">
<a href="http://superplug.in/custom-sidebars-wordpress-power-widgets/" target="_blank" >Get The Pro!</a>
</div>
<div class="clear"></div>
<div class="pw-key-features-wrapper">
    <div class="pw-key-feature">
        <div class="pw-key-feature-content">
            <h2>Save Time</h2>
            <p>
                Stop wasting your time over plugins that just don’t deliver, do much more in a fraction of the time. Power Widgets is built to provide you at the very least three times faster than anything else. It does so by letting you choose whether you want to customize a single page, or work from one central location, and lets you set and use patterns.
            </p>
        </div>
        <div class="pw-key-feature-img">
            <img src="<?php echo pw_images_url . '/save_time.png' ?>">
        </div>
    </div>
    
    <div class="pw-key-feature">
        <div class="pw-key-feature-content">
            <h2>Increase Calls to Action</h2>
            <p>
                Stop wasting your time over plugins that just don’t deliver, do much more in a fraction of the time. Power Widgets is built to provide you at the very least three times faster than anything else. It does so by letting you choose whether you want to customize a single page, or work from one central location, and lets you set and use patterns.
            </p>
        </div>
        <div class="pw-key-feature-img">
            <img src="<?php echo pw_images_url . '/increase_calls_to_action.png' ?>">
        </div>
    </div>
    
    <div class="pw-key-feature">
        <div class="pw-key-feature-content">
            <h2>Customize Design and Functionality</h2>
            <p>
                With Power Widgets, no page is left behind, and there’s no limit to what you can do to your new or existing theme. Customize anything called “sidebar” or “widget area” on your site. Assign any custom sidebar to replace any default sidebar on any page, post, page template, tag or category.
            </p>
        </div>
        <div class="pw-key-feature-img">
            <img src="<?php echo pw_images_url . '/customize_design_and_functionality.png' ?>">
        </div>
    </div>
    
    <div class="pw-key-feature">
        <div class="pw-key-feature-content">
            <h2>Support: You’re Never Alone</h2>
            <p>
                Stop wasting your time over plugins that just don’t deliver, do much more in a fraction of the time. Power Widgets is built to provide you at the very least three times faster than anything else. It does so by letting you choose whether you want to customize a single page, or work from one central location, and lets you set and use patterns.
            </p>
        </div>
        <div class="pw-key-feature-img">
            <img src="<?php echo pw_images_url . '/support_youre_never_alone.png' ?>">
        </div>
    </div>
</div>

<h3>Main Features</h3>
<ul id="main-features" class="fa-ul">
<li><i class="fa-li fa fa-check-square-o fa-5x"></i>Customize anything on your site: page, post, category, tag, single post, archive pages.</li>
<li><i class="fa-li fa fa-check-square-o"></i>Customize your sidebars from one single location. No more going page by page and customizing it individually, saving and refreshing.</li>
<li><i class="fa-li fa fa-check-square-o"></i>When it makes more sense to work your customization from inside the page, just use the Power Widgets table available inside any page. That way you get to maintain maximum flexibility while you work on your site.</li>
<li><i class="fa-li fa fa-check-square-o"></i>Apply repeated custom sidebars patterns. Set them once, and use it across your site – this feature alone can grant you the flexibility you need and yet save you time thanks to the smart design and easy workflow. See how. Change your theme, keep your custom sidebars. Theme replacements importer allows you to switch between themes and import your settings, and have your new theme inherit your custom sidebars you have previously assigned.</li>
<li><i class="fa-li fa fa-check-square-o"></i>Never have to code again, using Power Widgets is easy and user friendly and we are packed with all the tutorials and documentations you’ll ever need. Broad theme compatibility – we’re expanding Power Widgets theme compatibility on a regular basis. Check it out and see if your theme of choice is already supported. If it’s not on the list, just drop us a line, we love challenges.</li>
</ul>
<div class="clear"></div>

<div class="expect-for-more">
    <h3>Expect for More</h3>
    <p>We are already hard at work on putting more wisdom and power into Power Widgets (Pro), with the lisence, you get 1 year of future updates and upgrades, and premium support</p>
</div>
<div class="get-it-now">
<a href="http://superplug.in/custom-sidebars-wordpress-power-widgets/" target="_blank" >Get The Pro!</a>
</div>

</div>
    <h1>Quick Start Up Guide</h1>
        <h3>1. Create custom widget areas</h3>
        <p />Go <a href="<?php echo get_admin_url(null, 'admin.php?page=CS-slug-name'); ?>">here</a> and create custom widget areas.
        <h3>2. Add widgets to those widget areas</h3>
            <p />From the  <a href="<?php echo get_admin_url(null, 'widgets.php'); ?>">widgets page</a> you can, simply by drag and drop, add widgets to custom widget areas you created.
        <h3>3. Attach replacements to replaceables using easy interactive tables</h3>
            <p />Power Widgets Lite offers you great customizations options. You can attach replacements to:
            <ul>
                <li><a href="<?php echo get_admin_url(null, 'admin.php?page=CScontrol-slug-name'); ?>">Pages</a></li>
                <li><a href="<?php echo get_admin_url(null, 'admin.php?page=CScontrolposts-slug-name'); ?>">Posts</a></li>
                <li><a href="<?php echo get_admin_url(null, 'admin.php?page=CScontrolcategories-slug-name'); ?>">Categories</a></li>
                <li><a href="<?php echo get_admin_url(null, 'admin.php?page=CScontroltags-slug-name'); ?>">Tags</a></li>
                <li><a href="<?php echo get_admin_url(null, 'admin.php?page=CScontrolpagetemplates-slug-name'); ?>">Page Templates</a></li>
            </ul>
        <h3>4. Extend your functionality, speed and customizations</h3>
            <p />Get the pro version which enhances the lite version with even greater options, functionality, speed and customizations. Do it <a href="http://superplug.in/custom-sidebars-wordpress-power-widgets/">Here</a>
            <div class="sp-footer">
<div id="superplugin"><a href="http://superplug.in" title="SuperPlugin Home"><img src="http://superplug.in/wp-content/uploads/sites/1/2013/09/logo.png" alt=""></a></div>
<div class="clear"></div>
</div>
</div>


